package com.mousetech.gourmetj.persistence.model;

import java.io.Serializable;
import javax.persistence.*;


/**
 * The persistent class for the "pantry" database table.
 * 
 */
@Entity
@Table(name="\"pantry\"")
@NamedQuery(name="Pantry.findAll", query="SELECT p FROM Pantry p")
public class Pantry implements Serializable {
	private static final long serialVersionUID = 1L;

	@Id
	@Column(name="\"id\"")
	private int id;

	@Column(name="\"ingkey\"")
	private Integer ingkey;

	@Column(name="\"pantry\"")
	private String pantry;

	public Pantry() {
	}

	public int getId() {
		return this.id;
	}

	public void setId(int id) {
		this.id = id;
	}

	public Integer getIngkey() {
		return this.ingkey;
	}

	public void setIngkey(Integer ingkey) {
		this.ingkey = ingkey;
	}

	public String getPantry() {
		return this.pantry;
	}

	public void setPantry(String pantry) {
		this.pantry = pantry;
	}

}